---
updatedAt: 2026-04-28T09:31:16.000Z
agentTools:
  projectIndex: https://docs.makaira.io/llms.txt
---

# Get filter aggregation values

Get list aggreations

Returns paginated filter aggregation values. Used to populate filter dropdowns in the admin UI.

Requires authentication.

## Request

**`POST /filter`**

### Headers

| Header          | Value              |
| --------------- | ------------------ |
| `Authorization` | `Bearer <token>`   |
| `Content-Type`  | `application/json` |

### Request Body

| Field       | Type    | Required | Description                      |
| ----------- | ------- | -------- | -------------------------------- |
| `sort`      | string  | No       | Field to sort by.                |
| `direction` | string  | No       | Sort direction: `asc` or `desc`. |
| `offset`    | integer | No       | Pagination offset.               |
| `count`     | integer | No       | Number of results to return.     |

### Example Request

```json
{
  "sort": "title",
  "direction": "asc",
  "offset": 0,
  "count": 20
}
```

## Response

Returns a paginated list of filter values.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Makaira API",
    "version": "1.0",
    "contact": {
      "name": "Makaira GmbH",
      "url": "https://www.makaira.io/",
      "email": "support@makaira.io"
    },
    "description": "API of the powerful Makaira Search/Recommendation and Marketing Suite"
  },
  "servers": [
    {
      "url": "https://{yourinstance}.makaira.io"
    }
  ],
  "paths": {
    "/filter": {
      "post": {
        "summary": "",
        "tags": [
          "Filter"
        ],
        "operationId": "post-filter",
        "parameters": [
          {
            "$ref": "#/components/parameters/instance"
          }
        ],
        "responses": {
          "200": {
            "description": "OK"
          }
        },
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "properties": {
                  "sort": {
                    "type": "string",
                    "description": "Sort by."
                  },
                  "direction": {
                    "type": "string",
                    "description": "Sort direction."
                  },
                  "offset": {
                    "type": "integer",
                    "description": "Offset."
                  },
                  "count": {
                    "type": "integer",
                    "description": "Return how many results."
                  }
                }
              },
              "examples": {
                "Set filter with limited result set": {
                  "value": {
                    "sort": "id",
                    "direction": "ASC",
                    "offset": 0,
                    "count": 10000
                  }
                }
              }
            }
          }
        },
        "description": "Get list aggreations"
      }
    }
  },
  "components": {
    "parameters": {
      "instance": {
        "in": "header",
        "name": "X-Makaira-Instance",
        "required": true,
        "description": "Makaira Instance ID",
        "schema": {
          "type": "string"
        }
      }
    },
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Authentication by JSON Web Token\n"
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```